Bug 20156 - Staff client header language menu doesn't show check mark for current language
Summary: Staff client header language menu doesn't show check mark for current language
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-07 17:37 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20156 - Staff client header language menu doesn't show check mark for current language (4.49 KB, patch)
2018-02-07 17:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20156 - Staff client header language menu doesn't show check mark for current language (4.54 KB, patch)
2018-02-07 18:18 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20156 - Staff client header language menu doesn't show check mark for current language (4.59 KB, patch)
2018-02-07 21:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-02-07 17:37:39 UTC
The markup for the staff client header's language menu is supposed to show a check mark next to the currently-selected language. Because of copy-paste from the OPAC (which uses Glyphicons), the check mark doesn't appear. It should use Font Awesome.
Comment 1 Owen Leonard 2018-02-07 17:51:00 UTC
Created attachment 71297 [details] [review]
Bug 20156 - Staff client header language menu doesn't show check mark for current language

This patch replaces Glyphicon markup with Font Awesome markup so that a
check mark appears next to the currently-selected language in the staff
client header's language menu.

Also changed in this patch: Some classes have been removed because they
are not used in staff client CSS.

To test you must have multiple languages installed and enabled in the
staff client.

 - Set the StaffLangSelectorMode system preference to "top" or "both top
   and footer"
 - Confirm that the currently-select language in the langauge menu has a
   check mark next to it.
Comment 2 Jon Knight 2018-02-07 18:18:06 UTC
Created attachment 71298 [details] [review]
Bug 20156 - Staff client header language menu doesn't show check mark for current language

This patch replaces Glyphicon markup with Font Awesome markup so that a
check mark appears next to the currently-selected language in the staff
client header's language menu.

Also changed in this patch: Some classes have been removed because they
are not used in staff client CSS.

To test you must have multiple languages installed and enabled in the
staff client.

 - Set the StaffLangSelectorMode system preference to "top" or "both top
   and footer"
 - Confirm that the currently-select language in the langauge menu has a
   check mark next to it.

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 3 Katrin Fischer 2018-02-07 21:20:04 UTC
Created attachment 71329 [details] [review]
Bug 20156 - Staff client header language menu doesn't show check mark for current language

This patch replaces Glyphicon markup with Font Awesome markup so that a
check mark appears next to the currently-selected language in the staff
client header's language menu.

Also changed in this patch: Some classes have been removed because they
are not used in staff client CSS.

To test you must have multiple languages installed and enabled in the
staff client.

 - Set the StaffLangSelectorMode system preference to "top" or "both top
   and footer"
 - Confirm that the currently-select language in the langauge menu has a
   check mark next to it.

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-09 17:09:25 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-02-16 02:33:08 UTC
Awesome work all, pushed to stable for 17.11.03